Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.security.credentials
Interface CredentialCacheMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

public interface CredentialCacheMBean
extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean

Defines methods used to get/set the configuration attributes that are required to support the credential cache.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getCredentialCacheTTL()` Returns the maximum number of seconds a credential entry is valid in the LRU cache.
`int` | `getCredentialsCacheSize()` Returns the maximum size of the LRU cache for holding credentials if caching is enabled.
`boolean` | `isCredentialCachingEnabled()` Returns whether non-null credentials are cached by the credential mappers
`void` | `setCredentialCacheTTL(int TTL)` Sets the maximum number of seconds a credential entry is valid in the LRU cache.
`void` | `setCredentialCachingEnabled(boolean enabled)` Sets whether credentials, if found, should be cached by the mappers
`void` | `setCredentialsCacheSize(int max)` Sets the maximum size of the LRU cache for holding credentails if caching is enabled.

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### getCredentialCacheTTL

    public int getCredentialCacheTTL()

  Returns the maximum number of seconds a credential entry is valid in the LRU cache.

  Default value:
    600
  A dynamic MBean attribute.
    false

### getCredentialsCacheSize

    public int getCredentialsCacheSize()

  Returns the maximum size of the LRU cache for holding credentials if caching is enabled.

  Default value:
    100
  A dynamic MBean attribute.
    false

### isCredentialCachingEnabled

    public boolean isCredentialCachingEnabled()

  Returns whether non-null credentials are cached by the credential mappers

  Default value:
    false
  A dynamic MBean attribute.
    false

### setCredentialCacheTTL

    public void setCredentialCacheTTL(int TTL)
                               throws InvalidAttributeValueException

  Sets the maximum number of seconds a credential entry is valid in the LRU cache.

  Parameters:
    `TTL` - - sets the time (in seconds) for a credential entry to valid in the cache
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `#getCredentailCacheTTL()`

### setCredentialCachingEnabled

    public void setCredentialCachingEnabled(boolean enabled)
                                     throws InvalidAttributeValueException

  Sets whether credentials, if found, should be cached by the mappers

  Parameters:
    `enabled` - - enable or disable credential caching
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `#getEnableCredentialCaching()`

### setCredentialsCacheSize

    public void setCredentialsCacheSize(int max)
                                 throws InvalidAttributeValueException

  Sets the maximum size of the LRU cache for holding credentails if caching is enabled.

  Parameters:
    `max` - - the new maximum number of credentials in the cache
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `#getMaxCredentialsInCache()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD